## org.apache.batik.parser
Class NumberParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.NumberParser

All Implemented Interfaces:
  Localizable, Parser

Direct Known Subclasses:
  AngleParser, FragmentIdentifierParser, NumberListParser, PathParser, PointsParser, TransformListParser

    public abstract class NumberParser

extends AbstractParser

This class represents a parser with support for numbers.

Field Summary

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`NumberParser()`

Method Summary
`static float` `buildFloat(int mant, int exp)` Computes a float from mantissa and exponent.
`protected float` `parseFloat()` Parses the content of the buffer and converts it to a float.

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, doParse, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberParser

    public NumberParser()

Method Detail

### parseFloat

    protected float parseFloat()
                        throws ParseException,
                               java.io.IOException

  Parses the content of the buffer and converts it to a float.

  Throws:
    `ParseException`
    `java.io.IOException`

### buildFloat

    public static float buildFloat(int mant,
                                   int exp)

  Computes a float from mantissa and exponent.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.